Subject: [Ipsec] sample IKEv2 packets

From: Michael Richardson <[email-masked]>
Date: Wed, 01 Aug 2007 08:07:29 -0400

I am working on an IKEv2 printing module for tcpdump.
I would appreciate any pcap format files (-s 1600 please!) containing
IKEv2 exchanges.  I intend to decrypt the packets if the key is
available (tcpdump does this for esp packets as well).

IKEv2 has a far more sensible IV calculation, so doing this should
work.  Doing it for IKEv1 was considered too difficult.

The normal way that you operate is that you capture the packets to a
file, and then, one collects the encryption keys from the debug
interface of the IKEv2 daemon, after the exchange has occured (whether
it succeeds or fails...).  Obviously this is done by out-of-band means,
and is only done in a testing environment. 

Please send files directly to me.  You may also ftp them to
lox.sandelman.ca, using anonymous ftp. There is an incoming directory.

- -- 
]            Bear: "Me, I'm just the shape of a bear."          |  firewalls  [
]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec